package com.songhua.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.songhua.common.annotation.Excel;
import com.songhua.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 basic_cruise_ship
 * 
 * @author ruoyi
 * @date 2024-04-23
 */

public class BasicCruiseShip extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    private Long id;

    /** 船名 */
    @Excel(name = "船名")
    private String shipName;

    /** 船型 */
    @Excel(name = "船型")
    private String shipType;

    /** 船长 */
    @Excel(name = "船长")
    private String lengthOverall;


    /** 船舶注册号 */
    @Excel(name = "船舶注册号")
    private String registrationNumber;

    /** 船舱数量 */
    @Excel(name = "船舱数量")
    private String quantity;



    /** 船舱数量 */
    @Excel(name = "驱动类型")
    private String propulsion;

    /** 乘客容量 */
    @Excel(name = "乘客容量")
    private String passengerCapacity;



    /** 乘客容量 */
    @Excel(name = "安全设备")
    private String safetyEquipment;


    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setShipName(String shipName) 
    {
        this.shipName = shipName;
    }

    public String getShipName() 
    {
        return shipName;
    }
    public void setShipType(String shipType) 
    {
        this.shipType = shipType;
    }

    public String getShipType() 
    {
        return shipType;
    }
    public void setLengthOverall(String lengthOverall)
    {
        this.lengthOverall = lengthOverall;
    }

    public String getLengthOverall()
    {
        return lengthOverall;
    }

    public void setRegistrationNumber(String registrationNumber)
    {
        this.registrationNumber = registrationNumber;
    }

    public String getRegistrationNumber()
    {
        return registrationNumber;
    }
    public void setQuantity(String quantity) 
    {
        this.quantity = quantity;
    }

    public String getQuantity() 
    {
        return quantity;
    }
    public void setPassengerCapacity(String passengerCapacity) 
    {
        this.passengerCapacity = passengerCapacity;
    }

    public String getPassengerCapacity() 
    {
        return passengerCapacity;
    }

    public String getPropulsion() {
        return propulsion;
    }

    public void setPropulsion(String propulsion) {
        this.propulsion = propulsion;
    }
    public String getSafetyEquipment() {
        return safetyEquipment;
    }

    public void setSafetyEquipment(String safetyEquipment) {
        this.safetyEquipment = safetyEquipment;
    }
    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("shipName", getShipName())
            .append("shipType", getShipType())
            .append("lengthOverall", getLengthOverall())
            .append("registrationNumber", getRegistrationNumber())
            .append("quantity", getQuantity())
            .append("passengerCapacity", getPassengerCapacity())

            .toString();
    }
}
